onEvent("recipes", event => {

    //Resources

    //Charcoal
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:charcoal", 1))
        .requireItemTag("#minecraft:logs_that_burn", 1)
        .requireEnergyPerTick(5)

    //Coal from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:coal", 1))
        .requireItem(Item.of("minecraft:coal_ore", 1))
        .requireEnergyPerTick(5)

    //Coal from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:coal", 1))
        .requireItem(Item.of("kubejs:coal_dust", 1))
        .requireEnergyPerTick(5)

    //Iron Ingot from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:iron_ingot", 1))
        .requireItem(Item.of("minecraft:iron_ore", 1))
        .requireEnergyPerTick(5)

    //Iron Ingot from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:iron_ingot", 1))
        .requireItem(Item.of("kubejs:iron_dust", 1))
        .requireEnergyPerTick(5)

    //Redstone Dust from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:redstone", 1))
        .requireItem(Item.of("minecraft:redstone_ore", 1))
        .requireEnergyPerTick(5)

    //Gold Ingot from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:gold_ingot", 1))
        .requireItemTag("#forge:ores/gold", 1)
        .requireEnergyPerTick(5)

    //Gold Ingot from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:gold_ingot", 1))
        .requireItem(Item.of("kubejs:gold_dust", 1))
        .requireEnergyPerTick(5)

    //Energised Gold Alloy Ingot from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("kubejs:energised_gold_alloy_ingot", 1))
        .requireItem(Item.of("kubejs:energised_gold_alloy_dust", 1))
        .requireEnergyPerTick(5)

    //Lapis Lazuli from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:lapis_lazuli", 1))
        .requireItem(Item.of("minecraft:lapis_ore", 1))
        .requireEnergyPerTick(5)

    //Lapis Lazuli from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:lapis_lazuli", 1))
        .requireItem(Item.of("kubejs:lapis_dust", 1))
        .requireEnergyPerTick(5)

    //Nether Quartz from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:quartz", 1))
        .requireItem(Item.of("minecraft:nether_quartz_ore", 1))
        .requireEnergyPerTick(5)

    //Nether Quartz from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:quartz", 1))
        .requireItem(Item.of("kubejs:quartz_dust", 1))
        .requireEnergyPerTick(5)

    //Aquamarine from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("astralsorcery:aquamarine", 4))
        .requireItem(Item.of("astralsorcery:aquamarine_sand_ore", 1))
        .requireEnergyPerTick(5)

    //Aquamarine from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("astralsorcery:aquamarine", 2))
        .requireItem(Item.of("kubejs:aquamarine_dust", 1))
        .requireEnergyPerTick(5)

    //Diamond from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:diamond", 1))
        .requireItem(Item.of("minecraft:diamond_ore", 1))
        .requireEnergyPerTick(5)

    //Diamond from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:diamond", 1))
        .requireItem(Item.of("kubejs:diamond_dust", 1))
        .requireEnergyPerTick(5)

    //Emerald from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:emerald", 1))
        .requireItem(Item.of("minecraft:emerald_ore", 1))
        .requireEnergyPerTick(5)

    //Emerald from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:emerald", 1))
        .requireItem(Item.of("kubejs:emerald_dust", 1))
        .requireEnergyPerTick(5)

    //Starmetal from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("astralsorcery:starmetal_ingot", 1))
        .requireItem(Item.of("astralsorcery:starmetal_ore", 1))
        .requireEnergyPerTick(5)

    //Starmetal from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("astralsorcery:starmetal_ingot", 1))
        .requireItem(Item.of("astralsorcery:stardust", 1))
        .requireEnergyPerTick(5)

    //Rock Crystal from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("astralsorcery:rock_crystal", 1))
        .requireItem(Item.of("kubejs:rock_crystal_dust", 1))
        .requireEnergyPerTick(5)

    //Netherite Scrap from Ore
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:netherite_scrap", 2))
        .requireItem(Item.of("minecraft:ancient_debris", 1))
        .requireEnergyPerTick(5)

    //Netherite Scrap from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:netherite_scrap", 1))
        .requireItem(Item.of("kubejs:ancient_debris_dust", 1))
        .requireEnergyPerTick(5)

    //Netherite from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:netherite_ingot", 1))
        .requireItem(Item.of("kubejs:netherite_dust", 1))
        .requireEnergyPerTick(5)

    //Netherite-Starmetal Alloy from Dust
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("kubejs:netherite_starmetal_alloy_ingot", 1))
        .requireItem(Item.of("kubejs:netherite_starmetal_alloy_dust", 1))
        .requireEnergyPerTick(5)
    
    
    
    //Construction

    //Cracked Stone Bricks
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cracked_stone_bricks", 1))
        .requireItem(Item.of("minecraft:stone_bricks", 1))
        .requireEnergyPerTick(5)

    //Cracked Nether Bricks
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cracked_nether_bricks", 1))
        .requireItem(Item.of("minecraft:nether_bricks", 1))
        .requireEnergyPerTick(5)

    //Cracked Stone Bricks
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cracked_polished_blackstone_bricks", 1))
        .requireItem(Item.of("minecraft:polished_blackstone_bricks", 1))
        .requireEnergyPerTick(5)

    //Smooth Sandstone
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:smooth_sandstone", 1))
        .requireItem(Item.of("minecraft:sandstone", 1))
        .requireEnergyPerTick(5)

    //Smooth Red Sandstone
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:smooth_red_sandstone", 1))
        .requireItem(Item.of("minecraft:red_sandstone", 1))
        .requireEnergyPerTick(5)

    //Smooth Quartz
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:smooth_quartz", 1))
        .requireItem(Item.of("minecraft:quartz_block", 1))
        .requireEnergyPerTick(5)

    //Stone
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:stone", 1))
        .requireItem(Item.of("minecraft:cobblestone", 1))
        .requireEnergyPerTick(5)

    //Smooth Stone
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:smooth_stone", 1))
        .requireItem(Item.of("minecraft:stone", 1))
        .requireEnergyPerTick(5)

    //Brick
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:brick", 1))
        .requireItem(Item.of("minecraft:clay_ball", 1))
        .requireEnergyPerTick(5)

    //Terracota
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:terracotta", 1))
        .requireItem(Item.of("minecraft:clay", 1))
        .requireEnergyPerTick(5)

    //Nether Brick
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:nether_brick", 1))
        .requireItem(Item.of("minecraft:netherrack", 1))
        .requireEnergyPerTick(5)

    //Glass
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:glass", 1))
        .requireItem(Item.of("minecraft:sand", 1))
        .requireEnergyPerTick(5)

    //White Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:white_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:white_terracotta", 1))
        .requireEnergyPerTick(5)

    //Light Gray Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:light_gray_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:light_gray_terracotta", 1))
        .requireEnergyPerTick(5)

    //Gray Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:gray_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:gray_terracotta", 1))
        .requireEnergyPerTick(5)

    //Black Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:black_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:black_terracotta", 1))
        .requireEnergyPerTick(5)

    //Brown Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:brown_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:brown_terracotta", 1))
        .requireEnergyPerTick(5)

    //Blue Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:blue_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:blue_terracotta", 1))
        .requireEnergyPerTick(5)

    //Light Blue Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:light_blue_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:light_blue_terracotta", 1))
        .requireEnergyPerTick(5)

    //Cyan Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cyan_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:cyan_terracotta", 1))
        .requireEnergyPerTick(5)

    //Green Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:green_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:green_terracotta", 1))
        .requireEnergyPerTick(5)

    //Lime Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:lime_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:lime_terracotta", 1))
        .requireEnergyPerTick(5)

    //Yellow Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:yellow_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:yellow_terracotta", 1))
        .requireEnergyPerTick(5)

    //Orange Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:orange_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:orange_terracotta", 1))
        .requireEnergyPerTick(5)

    //Red Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:red_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:red_terracotta", 1))
        .requireEnergyPerTick(5)

    //Pink Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:pink_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:pink_terracotta", 1))
        .requireEnergyPerTick(5)

    //Magenta Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:magenta_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:magenta_terracotta", 1))
        .requireEnergyPerTick(5)

    //Purple Glazed Terracotta
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:purple_glazed_terracotta", 1))
        .requireItem(Item.of("minecraft:purple_terracotta", 1))
        .requireEnergyPerTick(5)


    
    //Miscellaneous

    //Green Dye
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:green_dye", 1))
        .requireItem(Item.of("minecraft:cactus", 1))
        .requireEnergyPerTick(5)

    //Lime Dye
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:lime_dye", 1))
        .requireItem(Item.of("minecraft:sea_pickle", 1))
        .requireEnergyPerTick(5)

    //Sponge
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:sponge", 1))
        .requireItem(Item.of("minecraft:wet_sponge", 1))
        .requireEnergyPerTick(5)

    //Popped Chorus Fruit
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:popped_chorus_fruit", 1))
        .requireItem(Item.of("minecraft:chorus_fruit", 1))
        .requireEnergyPerTick(5)

    //Iron Nugget from Recycling
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:iron_nugget", 1))
        .requireItemTag("#astral_magica:iron_recyclable", 1)
        .requireEnergyPerTick(5)

    //Gold Nugget from Recycling
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:gold_nugget", 1))
        .requireItemTag("#astral_magica:gold_recyclable", 1)
        .requireEnergyPerTick(5)

    //Cooking for Blockheads I from Book
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("cookingforblockheads:recipe_book", 1))
        .requireItem(Item.of("minecraft:book", 1))
        .requireEnergyPerTick(5)

    //Cooking for Blockheads I from No Filter Edition
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("cookingforblockheads:recipe_book", 1))
        .requireItem(Item.of("cookingforblockheads:no_filter_edition", 1))
        .requireEnergyPerTick(5)


    
    //Vanilla Food

    //Baked Potato
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:baked_potato", 1))
        .requireItem(Item.of("minecraft:potato", 1))
        .requireEnergyPerTick(5)

    //Dried Kelp
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:dried_kelp", 1))
        .requireItem(Item.of("minecraft:kelp", 1))
        .requireEnergyPerTick(5)

    //Steak
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cooked_beef", 1))
        .requireItem(Item.of("minecraft:beef", 1))
        .requireEnergyPerTick(5)

    //Cooked Mutton
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cooked_mutton", 1))
        .requireItem(Item.of("minecraft:mutton", 1))
        .requireEnergyPerTick(5)

    //Cooked Rabbit
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cooked_rabbit", 1))
        .requireItem(Item.of("minecraft:rabbit", 1))
        .requireEnergyPerTick(5)

    //Cooked Chicken
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cooked_chicken", 1))
        .requireItem(Item.of("minecraft:chicken", 1))
        .requireEnergyPerTick(5)

    //Cooked Salmon
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cooked_salmon", 1))
        .requireItem(Item.of("minecraft:salmon", 1))
        .requireEnergyPerTick(5)

    //Cooked Cod
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cooked_cod", 1))
        .requireItem(Item.of("minecraft:cod", 1))
        .requireEnergyPerTick(5)

    //Cooked Porkchop
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("minecraft:cooked_porkchop", 1))
        .requireItem(Item.of("minecraft:porkchop", 1))
        .requireEnergyPerTick(5)


    
    //Pam's Harvestcraft

    //Hot Tea
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:hotteaitem", 1))
        .requireItem(Item.of("pamhc2crops:tealeafitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Tofish
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedtofishitem", 1))
        .requireItem(Item.of("pamhc2foodextended:rawtofishitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Peanut
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedpeanutitem", 1))
        .requireItem(Item.of("pamhc2crops:peanutitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Pecan
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedpecanitem", 1))
        .requireItem(Item.of("pamhc2trees:pecanitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Tofcacon
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedtofaconitem", 1))
        .requireItem(Item.of("pamhc2foodextended:rawtofaconitem", 1))
        .requireEnergyPerTick(5)

    //Baked Parsnip
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedparsnipitem", 1))
        .requireItem(Item.of("pamhc2crops:parsnipitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Mushroom
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedmushroomitem", 1))
        .requireItemTag("#forge:mushrooms", 1)
        .requireEnergyPerTick(5)

    //Baked Turnip
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedturnipitem", 1))
        .requireItem(Item.of("pamhc2crops:turnipitem", 1))
        .requireEnergyPerTick(5)

    //Baked Arrowroot
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedarrowrootitem", 1))
        .requireItem(Item.of("pamhc2crops:arrowrootitem", 1))
        .requireEnergyPerTick(5)

    //Baked Taro
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedtaroitem", 1))
        .requireItem(Item.of("pamhc2crops:taroitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Chestnut
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedchestnutitem", 1))
        .requireItem(Item.of("pamhc2trees:chestnutitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Kohlrabi
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedkohlrabiitem", 1))
        .requireItem(Item.of("pamhc2crops:kohlrabiitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Radish
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedradishitem", 1))
        .requireItem(Item.of("pamhc2crops:radishitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Onion
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedonionitem", 1))
        .requireItem(Item.of("pamhc2crops:onionitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Tofeak
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedtofeakitem", 1))
        .requireItem(Item.of("pamhc2foodextended:rawtofeakitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Almond
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedalmonditem", 1))
        .requireItem(Item.of("pamhc2trees:almonditem", 1))
        .requireEnergyPerTick(5)

    //Cooked Tofutton
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedtofuttonitem", 1))
        .requireItem(Item.of("pamhc2foodextended:rawtofuttonitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Garlic
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedgarlicitem", 1))
        .requireItem(Item.of("pamhc2crops:garlicitem", 1))
        .requireEnergyPerTick(5)

    //Baked Jicama
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedjicamaitem", 1))
        .requireItem(Item.of("pamhc2crops:jicamaitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Scallion
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedscallionitem", 1))
        .requireItem(Item.of("pamhc2crops:scallionitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Cashew
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedcashewitem", 1))
        .requireItem(Item.of("pamhc2trees:cashewitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Ground Mutton
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedgroundmuttonitem", 1))
        .requireItem(Item.of("pamhc2foodcore:groundmuttonitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Pinenuts
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedpinenutitem", 1))
        .requireItem(Item.of("pamhc2trees:pinenutitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Ground Rabbit
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedgroundrabbititem", 1))
        .requireItem(Item.of("pamhc2foodcore:groundrabbititem", 1))
        .requireEnergyPerTick(5)

    //Roasted Sunflower Seeds
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodcore:roastedsunflowerseedsitem", 1))
        .requireItem(Item.of("pamhc2foodcore:sunflowerseedsitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Ground Pork
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedgroundporkitem", 1))
        .requireItem(Item.of("pamhc2foodcore:groundporkitem", 1))
        .requireEnergyPerTick(5)

    //Baked Rutabaga
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedrutabagaitem", 1))
        .requireItem(Item.of("pamhc2crops:rutabagaitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Hazelnut
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedhazelnutitem", 1))
        .requireItem(Item.of("pamhc2trees:hazelnutitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Ground Beef
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedgroundbeefitem", 1))
        .requireItem(Item.of("pamhc2foodcore:groundbeefitem", 1))
        .requireEnergyPerTick(5)

    //Hot Coffee
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:hotcoffeeitem", 1))
        .requireItem(Item.of("pamhc2crops:coffeebeanitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Tofabbit
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedtofabbititem", 1))
        .requireItem(Item.of("pamhc2foodextended:rawtofabbititem", 1))
        .requireEnergyPerTick(5)

    //Baked Sweet Potato
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedsweetpotatoitem", 1))
        .requireItem(Item.of("pamhc2crops:sweetpotatoitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Rhubarb
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedrhubarbitem", 1))
        .requireItem(Item.of("pamhc2crops:rhubarbitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Pistachio
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedpistachioitem", 1))
        .requireItem(Item.of("pamhc2trees:pistachioitem", 1))
        .requireEnergyPerTick(5)

    //Baked Waterchestnut
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedwaterchestnutitem", 1))
        .requireItem(Item.of("pamhc2crops:waterchestnutitem", 1))
        .requireEnergyPerTick(5)

    //Baked Cassave
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:bakedcassavaitem", 1))
        .requireItem(Item.of("pamhc2crops:cassavaitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Toficken
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedtofickenitem", 1))
        .requireItem(Item.of("pamhc2foodextended:rawtofickenitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Ground Fish
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedgroundfishitem", 1))
        .requireItem(Item.of("pamhc2foodcore:groundfishitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Leek
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2crops:roastedleekitem", 1))
        .requireItem(Item.of("pamhc2crops:leekitem", 1))
        .requireEnergyPerTick(5)

    //Cooked Ground Chicken
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2foodextended:cookedgroundchickenitem", 1))
        .requireItem(Item.of("pamhc2foodcore:groundchickenitem", 1))
        .requireEnergyPerTick(5)

    //Roasted Walnut
    event.recipes.custommachinery.custom_machine("modpack:electric_furnace", 50)
        .produceItem(Item.of("pamhc2trees:roastedwalnutitem", 1))
        .requireItem(Item.of("pamhc2trees:walnutitem", 1))
        .requireEnergyPerTick(5)

})